GPU-CHK(1)

NAME
gpu-chk - verifies if the user's environment is compatible with rickslab-gpu-utils

SYNOPSIS
gpu-chk [--debug]
gpu-chk [--help | --about]

CONFIGURATION
In order to get maximum capability of these utilities, you should be running with a kernel that provides support of the GPUs you have installed. If using AMD GPUs, installing the latest amdgpu driver package or the latest ROCm release, may provide additional capabilities. If you have Nvidia GPUs installed, nvidia-smi must also be installed in order for the utility reading of the cards to be possible. Writing to GPUs is currently only possible for AMD GPUs, and only with compatible cards and with the the AMD ppfeaturemask set to 0xfffd7fff. This can be accomplished by adding amdgpu.ppfeaturemask=0xfffd7fff to the GRUB_CMDLINE_LINUX_DEFAULT value in /etc/default/grub and executing sudo update-grub.

DESCRIPTION
gpu-chk will check the user environment for compatibility with rickslab-gpu-utils.

OPTIONS

--about
    Will display details about gpu-chk.

-h, --help
    Display help text and exit.

BUGS
No known bugs. Please report any bugs/issues at https://github.com/Ricks-Lab/gpu-utils

SEE ALSO
amdgpu(4), update-grub(8), gpu.ls(1), gpu.mon(1), gpu.plot(1), gpu.pac(1)

AVAILABILITY
The gpu-chk command is part of the rickslab-gpu-utils package and is available from https://github.com/Ricks-Lab/gpu-utils